Changeset 14805


Ignorieren:
Zeitstempel:
12.08.2018 19:20:26 (vor 2 Monaten)
Autor:
er13
Nachricht:

select binutils version for PUMA6

we use binutils-2.22 instead of 2.21.1 used by AVM

refs https://github.com/Freetz/freetz/pull/22
refs #2862

Datei:
1 bearbeitet

Legende:

Unverändert
Hinzugefügt
Entfernt
  • trunk/config/ui/toolchain.in

    r14797 r14805  
    2222    prompt "Kernel binutils" 
    2323    default FREETZ_KERNEL_BINUTILS_2_18 if FREETZ_AVM_GCC_3_4 
    24     default FREETZ_KERNEL_BINUTILS_2_22 if FREETZ_AVM_GCC_4_6_MIN && FREETZ_KERNEL_VERSION_2_6_32_MAX 
     24    default FREETZ_KERNEL_BINUTILS_2_22 if FREETZ_AVM_GCC_4_6_MIN && FREETZ_KERNEL_VERSION_2_6_39_MAX 
    2525    default FREETZ_KERNEL_BINUTILS_2_24 if FREETZ_AVM_GCC_4_6_MIN && FREETZ_KERNEL_VERSION_3_10_MIN   && FREETZ_AVM_VERSION_06_9X_MAX 
    2626    default FREETZ_KERNEL_BINUTILS_2_25 if FREETZ_AVM_GCC_5_MIN   && FREETZ_KERNEL_VERSION_3_10_MIN   && FREETZ_AVM_VERSION_07_0X_MIN 
     
    3333        bool "binutils-2.22" 
    3434        depends on FREETZ_AVM_GCC_4_6_MIN 
    35         depends on FREETZ_KERNEL_VERSION_2_6_32_MAX 
     35        depends on FREETZ_KERNEL_VERSION_2_6_39_MAX 
    3636 
    3737    config FREETZ_KERNEL_BINUTILS_2_23 
    3838        bool "binutils-2.23.2" 
    3939        depends on FREETZ_AVM_GCC_4_6_MIN 
    40         depends on FREETZ_KERNEL_VERSION_2_6_32_MAX 
     40        depends on FREETZ_KERNEL_VERSION_2_6_39_MAX 
    4141        depends on (FREETZ_BUILD_TOOLCHAIN || FREETZ_DL_TOOLCHAIN_OVERRIDE) 
    4242 
     
    159159choice 
    160160    prompt "Target binutils" 
    161     default FREETZ_TARGET_BINUTILS_2_22 if FREETZ_KERNEL_VERSION_2_6_32_MAX 
     161    default FREETZ_TARGET_BINUTILS_2_22 if FREETZ_KERNEL_VERSION_2_6_39_MAX 
    162162    default FREETZ_TARGET_BINUTILS_2_24 if FREETZ_KERNEL_VERSION_3_10_MIN   && FREETZ_AVM_VERSION_06_9X_MAX 
    163163    default FREETZ_TARGET_BINUTILS_2_25 if FREETZ_KERNEL_VERSION_3_10_MIN   && FREETZ_AVM_VERSION_07_0X_MIN 
     
    165165    config FREETZ_TARGET_BINUTILS_2_22 
    166166        bool "binutils-2.22" 
    167         depends on FREETZ_KERNEL_VERSION_2_6_32_MAX 
     167        depends on FREETZ_KERNEL_VERSION_2_6_39_MAX 
    168168 
    169169    config FREETZ_TARGET_BINUTILS_2_23 
    170170        bool "binutils-2.23.2" 
    171         depends on FREETZ_KERNEL_VERSION_2_6_32_MAX 
     171        depends on FREETZ_KERNEL_VERSION_2_6_39_MAX 
    172172        depends on (FREETZ_BUILD_TOOLCHAIN || FREETZ_DL_TOOLCHAIN_OVERRIDE) 
    173173 
Hinweis: Hilfe zur Verwendung der Changeset-Ansicht finden Sie unter TracChangeset.